/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

import java.util.Date;
import com.silverwrist.venice.except.AccessError;
import com.silverwrist.venice.except.DataException;
import com.silverwrist.venice.except.EmailException;

public interface UserProfile
{
  public abstract int getUID();

  public abstract String getUserName();

  public abstract String getGivenName();

  public abstract String getFamilyName();

  public abstract char getMiddleInitial();

  public abstract String getNamePrefix();

  public abstract String getNameSuffix();

  public abstract String getCompany();

  public abstract String getAddressLine1();

  public abstract String getAddressLine2();

  public abstract String getLocality();

  public abstract String getRegion();

  public abstract String getPostalCode();

  public abstract String getCountry();

  public abstract String getFullCountry();

  public abstract String getPhone();

  public abstract String getFax();

  public abstract String getMobile();

  public abstract String getEmail();

  public abstract String getPhotoURL();

  public abstract String getURL();
 
  public abstract Date getCreateDate();

  public abstract Date getLastLoginDate();

  public abstract Date getLastUpdate();

  public abstract String getDescription();

  public abstract boolean isAnonymous();

  public abstract boolean canSendQuickEmail();

  public abstract void sendQuickEmail(String subject, String text)
      throws AccessError, DataException, EmailException;

} // end interface UserProfile
